EhcacheAccessStrategyFactoryImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.ehcache.internal.strategy
Class EhcacheAccessStrategyFactoryImpl

    java.lang.Object
      org.hibernate.cache.ehcache.internal.strategy.EhcacheAccessStrategyFactoryImpl

All Implemented Interfaces:
  EhcacheAccessStrategyFactory

    public class EhcacheAccessStrategyFactoryImpl

extends Object
implements EhcacheAccessStrategyFactory

Class implementing `EhcacheAccessStrategyFactory`

Constructor Summary
`EhcacheAccessStrategyFactoryImpl()`

Method Summary
`CollectionRegionAccessStrategy` | `createCollectionRegionAccessStrategy(EhcacheCollectionRegion collectionRegion, AccessType accessType)` Create `CollectionRegionAccessStrategy` for the input `EhcacheCollectionRegion` and `AccessType`
`EntityRegionAccessStrategy` | `createEntityRegionAccessStrategy(EhcacheEntityRegion entityRegion, AccessType accessType)` Create `EntityRegionAccessStrategy` for the input `EhcacheEntityRegion` and `AccessType`
`NaturalIdRegionAccessStrategy` | `createNaturalIdRegionAccessStrategy(EhcacheNaturalIdRegion naturalIdRegion, AccessType accessType)` Create `NaturalIdRegionAccessStrategy` for the input `EhcacheNaturalIdRegion` and `AccessType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EhcacheAccessStrategyFactoryImpl

    public EhcacheAccessStrategyFactoryImpl()

Method Detail

### createEntityRegionAccessStrategy

    public EntityRegionAccessStrategy createEntityRegionAccessStrategy(EhcacheEntityRegion entityRegion,
                                                                       AccessType accessType)

  Create `EntityRegionAccessStrategy` for the input `EhcacheEntityRegion` and `AccessType`

  Specified by:
    `createEntityRegionAccessStrategy` in interface `EhcacheAccessStrategyFactory`
  Returns:
    the created `EntityRegionAccessStrategy`

### createCollectionRegionAccessStrategy

    public CollectionRegionAccessStrategy createCollectionRegionAccessStrategy(EhcacheCollectionRegion collectionRegion,
                                                                               AccessType accessType)

  Create `CollectionRegionAccessStrategy` for the input `EhcacheCollectionRegion` and `AccessType`

  Specified by:
    `createCollectionRegionAccessStrategy` in interface `EhcacheAccessStrategyFactory`
  Returns:
    the created `CollectionRegionAccessStrategy`

### createNaturalIdRegionAccessStrategy

    public NaturalIdRegionAccessStrategy createNaturalIdRegionAccessStrategy(EhcacheNaturalIdRegion naturalIdRegion,
                                                                             AccessType accessType)

  Description copied from interface: `EhcacheAccessStrategyFactory`
  Create `NaturalIdRegionAccessStrategy` for the input `EhcacheNaturalIdRegion` and `AccessType`

  Specified by:
    `createNaturalIdRegionAccessStrategy` in interface `EhcacheAccessStrategyFactory`
  Returns:
    the created `NaturalIdRegionAccessStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.